# PetscOptionsIntArray

Gets an array of integers for a particular option in the database. The values must be separated with commas with no intervening spaces.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscOptionsIntArray(const char opt[],const char text[],const char man[],PetscInt value[],PetscInt *n,PetscTruth *set)

Collective on the communicator passed in PetscOptionsBegin()

### Input Parameters

| opt | - the option one is seeking
| text | - short string describing option
| man | - manual page for option
| nmax | - maximum number of values

### Output Parameter

| value | - location to copy values
| nmax | - actual number of values found
| set | - PETSC_TRUE if found, else PETSC_FALSE

### Notes

The user should pass in an array of integers

Must be between a PetscOptionsBegin() and a PetscOptionsEnd()

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),
PetscOptionsHasName(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsTruth(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsTruthGroupBegin(), PetscOptionsTruthGroup(), PetscOptionsTruthGroupEnd(), PetscOptionsList(), PetscOptionsEList(), PetscOptionsRealArray()

Level:beginner
Location: src/sys/objects/aoptions.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages